Bug 1688050 - gammaray: FTBFS in Fedora rawhide
Summary: gammaray: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gammaray
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 01:38 UTC by Orion Poplawski
Modified: 2019-07-27 01:39 UTC (History)
1 user (show)

Fixed In Version: gammaray-2.11.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-27 01:39:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2019-03-13 01:38:55 UTC
Description of problem:
Package gammaray fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
2.9.0-9.fc31

Steps to Reproduce:
koji build --scratch f31 gammaray-2.9.0-9.fc31.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/gammaray


This appears to have started with Qt 5.12

BUILDSTDERR: /builddir/build/BUILD/gammaray-2.9.0/plugins/qmlsupport/qmlbindingprovider.cpp:72:28: error: variable 'QQmlSourceLocation loc' has initializer but incomplete type
BUILDSTDERR:    72 |         QQmlSourceLocation loc = function->sourceLocation();
BUILDSTDERR:       |                            ^~~
BUILDSTDERR: /builddir/build/BUILD/gammaray-2.9.0/plugins/qmlsupport/qmlbindingprovider.cpp:72:59: error: invalid use of incomplete type 'struct QQmlSourceLocation'
BUILDSTDERR:    72 |         QQmlSourceLocation loc = function->sourceLocation();
BUILDSTDERR:       |                                                           ^

Also, gammaray 2.10 appears to be out.

Comment 1 Orion Poplawski 2019-03-13 01:41:00 UTC
2.10 appears to fix this.

Comment 2 Fedora Update System 2019-07-09 13:02:19 UTC
FEDORA-2019-22407c98bf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22407c98bf

Comment 3 Fedora Update System 2019-07-10 00:37:33 UTC
gammaray-2.11.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22407c98bf

Comment 4 Fedora Update System 2019-07-27 01:39:22 UTC
gammaray-2.11.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.